dOCR
API ReferenceScreenshots

List screenshots

Returns your organization's most recent screenshots (up to 100), newest first.

GET
/screenshots
AuthorizationBearer <token>

API key as a Bearer token: Authorization: Bearer docr_sk_…

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://app.docr.dev/api/v1/screenshots"
{
  "screenshots": [
    {
      "id": "6a382443304f240b189f228a",
      "orgId": "string",
      "kind": "screenshot",
      "status": "pending",
      "format": "png",
      "url": "https://res.cloudinary.com/docr/image/upload/screenshot-6a382443.png",
      "width": 1280,
      "height": 3840,
      "fullPage": true,
      "cacheHit": true,
      "creditsUsed": 1,
      "externalIdentifier": "string",
      "metadata": {},
      "error": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Invalid or revoked API key"
}
{
  "error": "IP 203.0.113.4 is not whitelisted"
}